// Municipality codes and names. Source: https://www.cbs.nl/nl-nl/maatwerk/2024/10/voorlopige-bevolkingsaantallen-per-gemeente (table 2, number of 0-year old inhabitants), see also https://publicaties.rvig.nl/Landelijke_tabellen/Landelijke_tabellen_32_t_m_61_excl_tabel_35/Landelijke_Tabellen_32_t_m_61_in_csv_formaat/Tabel_33_Gemeenten_gesorteerd_op_omschrijving filtered on municipalities without end times. IMPROVE: add municipalities that no longer exist, depending on time of existence?
pub const MUNICIPALITIES: &[(&str, &str, u32)] = &[
    // Note: structure is (municipality code, municipality name, number of 0 year old inhabitants as measure for birth rates)
    ("0014", "Groningen", 1804),
    ("0034", "Almere", 2560),
    ("0037", "Stadskanaal", 212),
    ("0047", "Veendam", 201),
    ("0050", "Zeewolde", 223),
    ("0059", "Achtkarspelen", 276),
    ("0060", "Ameland", 37),
    ("0072", "Harlingen", 123),
    ("0074", "Heerenveen", 400),
    ("0080", "Leeuwarden", 1168),
    ("0085", "Ooststellingwerf", 195),
    ("0086", "Opsterland", 239),
    ("0088", "Schiermonnikoog", 5),
    ("0090", "Smallingerland", 494),
    ("0093", "Terschelling", 44),
    ("0096", "Vlieland", 12),
    ("0098", "Weststellingwerf", 245),
    ("0106", "Assen", 588),
    ("0109", "Coevorden", 252),
    ("0114", "Emmen", 872),
    ("0118", "Hoogeveen", 473),
    ("0119", "Meppel", 337),
    ("0141", "Almelo", 607),
    ("0147", "Borne", 224),
    ("0148", "Dalfsen", 245),
    ("0150", "Deventer", 980),
    ("0153", "Enschede", 1306),
    ("0158", "Haaksbergen", 189),
    ("0160", "Hardenberg", 627),
    ("0163", "Hellendoorn", 335),
    ("0164", "Hengelo (O)", 714),
    ("0166", "Kampen", 596),
    ("0168", "Losser", 194),
    ("0171", "Noordoostpolder", 550),
    ("0173", "Oldenzaal", 236),
    ("0175", "Ommen", 162),
    ("0177", "Raalte", 307),
    ("0180", "Staphorst", 217),
    ("0183", "Tubbergen", 234),
    ("0184", "Urk", 380),
    ("0189", "Wierden", 237),
    ("0193", "Zwolle", 1380),
    ("0197", "Aalten", 230),
    ("0200", "Apeldoorn", 1461),
    ("0202", "Arnhem", 1653),
    ("0203", "Barneveld", 853),
    ("0209", "Beuningen", 237),
    ("0213", "Brummen", 171),
    ("0214", "Buren", 262),
    ("0216", "Culemborg", 295),
    ("0221", "Doesburg", 84),
    ("0222", "Doetinchem", 509),
    ("0225", "Druten", 176),
    ("0226", "Duiven", 201),
    ("0228", "Ede", 1356),
    ("0230", "Elburg", 240),
    ("0232", "Epe", 251),
    ("0233", "Ermelo", 254),
    ("0243", "Harderwijk", 434),
    ("0244", "Hattem", 138),
    ("0246", "Heerde", 162),
    ("0252", "Heumen", 142),
    ("0262", "Lochem", 234),
    ("0263", "Maasdriel", 227),
    ("0267", "Nijkerk", 432),
    ("0268", "Nijmegen", 1676),
    ("0269", "Oldebroek", 205),
    ("0273", "Putten", 253),
    ("0274", "Renkum", 184),
    ("0275", "Rheden", 320),
    ("0277", "Rozendaal", 16),
    ("0279", "Scherpenzeel", 124),
    ("0281", "Tiel", 370),
    ("0285", "Voorst", 226),
    ("0289", "Wageningen", 252),
    ("0293", "Westervoort", 132),
    ("0294", "Winterswijk", 258),
    ("0296", "Wijchen", 358),
    ("0297", "Zaltbommel", 344),
    ("0299", "Zevenaar", 388),
    ("0301", "Zutphen", 387),
    ("0302", "Nunspeet", 329),
    ("0303", "Dronten", 410),
    ("0307", "Amersfoort", 1710),
    ("0308", "Baarn", 202),
    ("0310", "De Bilt", 367),
    ("0312", "Bunnik", 147),
    ("0313", "Bunschoten", 235),
    ("0317", "Eemnes", 85),
    ("0321", "Houten", 500),
    ("0327", "Leusden", 321),
    ("0331", "Lopik", 134),
    ("0335", "Montfoort", 117),
    ("0339", "Renswoude", 84),
    ("0340", "Rhenen", 189),
    ("0342", "Soest", 431),
    ("0344", "Utrecht", 4020),
    ("0345", "Veenendaal", 764),
    ("0351", "Woudenberg", 159),
    ("0352", "Wijk bij Duurstede", 206),
    ("0353", "IJsselstein", 284),
    ("0355", "Zeist", 544),
    ("0356", "Nieuwegein", 669),
    ("0358", "Aalsmeer", 239),
    ("0361", "Alkmaar", 985),
    ("0362", "Amstelveen", 719),
    ("0363", "Amsterdam", 9363),
    ("0373", "Bergen (N-H)", 166),
    ("0375", "Beverwijk", 453),
    ("0376", "Blaricum", 125),
    ("0377", "Bloemendaal", 123),
    ("0383", "Castricum", 295),
    ("0384", "Diemen", 327),
    ("0385", "Edam-Volendam", 338),
    ("0388", "Enkhuizen", 170),
    ("0392", "Haarlem", 1727),
    ("0394", "Haarlemmermeer", 1485),
    ("0396", "Heemskerk", 345),
    ("0397", "Heemstede", 214),
    ("0399", "Heiloo", 176),
    ("0400", "Den Helder", 503),
    ("0402", "Hilversum", 848),
    ("0405", "Hoorn", 732),
    ("0406", "Huizen", 352),
    ("0415", "Landsmeer", 78),
    ("0417", "Laren", 73),
    ("0420", "Medemblik", 366),
    ("0431", "Oostzaan", 73),
    ("0432", "Opmeer", 127),
    ("0437", "Ouder-Amstel", 115),
    ("0439", "Purmerend", 852),
    ("0441", "Schagen", 354),
    ("0448", "Texel", 91),
    ("0450", "Uitgeest", 129),
    ("0451", "Uithoorn", 308),
    ("0453", "Velsen", 598),
    ("0473", "Zandvoort", 115),
    ("0479", "Zaanstad", 1581),
    ("0482", "Alblasserdam", 224),
    ("0484", "Alphen aan den Rijn", 1157),
    ("0489", "Barendrecht", 394),
    ("0498", "Drechterland", 172),
    ("0502", "Capelle aan den IJssel", 661),
    ("0503", "Delft", 845),
    ("0505", "Dordrecht", 1171),
    ("0512", "Gorinchem", 359),
    ("0513", "Gouda", 796),
    ("0518", "'s-Gravenhage", 5555),
    ("0523", "Hardinxveld-Giessendam", 225),
    ("0531", "Hendrik-Ido-Ambacht", 334),
    ("0532", "Stede Broec", 200),
    ("0534", "Hillegom", 222),
    ("0537", "Katwijk", 718),
    ("0542", "Krimpen aan den IJssel", 312),
    ("0546", "Leiden", 970),
    ("0547", "Leiderdorp", 258),
    ("0553", "Lisse", 212),
    ("0556", "Maassluis", 366),
    ("0569", "Nieuwkoop", 264),
    ("0575", "Noordwijk", 377),
    ("0579", "Oegstgeest", 255),
    ("0589", "Oudewater", 92),
    ("0590", "Papendrecht", 297),
    ("0597", "Ridderkerk", 414),
    ("0599", "Rotterdam", 6727),
    ("0603", "Rijswijk", 693),
    ("0606", "Schiedam", 942),
    ("0610", "Sliedrecht", 318),
    ("0613", "Albrandswaard", 218),
    ("0622", "Vlaardingen", 780),
    ("0626", "Voorschoten", 175),
    ("0627", "Waddinxveen", 496),
    ("0629", "Wassenaar", 168),
    ("0632", "Woerden", 521),
    ("0637", "Zoetermeer", 1232),
    ("0638", "Zoeterwoude", 109),
    ("0642", "Zwijndrecht", 385),
    ("0654", "Borsele", 224),
    ("0664", "Goes", 333),
    ("0668", "West Maas en Waal", 193),
    ("0677", "Hulst", 182),
    ("0678", "Kapelle", 101),
    ("0687", "Middelburg", 438),
    ("0703", "Reimerswaal", 277),
    ("0715", "Terneuzen", 492),
    ("0716", "Tholen", 299),
    ("0717", "Veere", 179),
    ("0718", "Vlissingen", 318),
    ("0736", "De Ronde Venen", 437),
    ("0737", "Tytsjerksteradiel", 309),
    ("0743", "Asten", 172),
    ("0744", "Baarle-Nassau", 59),
    ("0748", "Bergen op Zoom", 597),
    ("0753", "Best", 298),
    ("0755", "Boekel", 131),
    ("0757", "Boxtel", 264),
    ("0758", "Breda", 1651),
    ("0762", "Deurne", 292),
    ("0765", "Pekela", 109),
    ("0766", "Dongen", 268),
    ("0770", "Eersel", 199),
    ("0772", "Eindhoven", 2108),
    ("0777", "Etten-Leur", 395),
    ("0779", "Geertruidenberg", 201),
    ("0784", "Gilze en Rijen", 256),
    ("0785", "Goirle", 179),
    ("0794", "Helmond", 847),
    ("0796", "'s-Hertogenbosch", 1470),
    ("0797", "Heusden", 397),
    ("0798", "Hilvarenbeek", 139),
    ("0809", "Loon op Zand", 212),
    ("0820", "Nuenen, Gerwen en Nederwetten", 219),
    ("0823", "Oirschot", 175),
    ("0824", "Oisterwijk", 299),
    ("0826", "Oosterhout", 546),
    ("0828", "Oss", 834),
    ("0840", "Rucphen", 205),
    ("0845", "Sint-Michielsgestel", 278),
    ("0847", "Someren", 221),
    ("0848", "Son en Breugel", 172),
    ("0851", "Steenbergen", 194),
    ("0852", "Waterland", 122),
    ("0855", "Tilburg", 2049),
    ("0858", "Valkenswaard", 291),
    ("0861", "Veldhoven", 381),
    ("0865", "Vught", 292),
    ("0866", "Waalre", 137),
    ("0867", "Waalwijk", 446),
    ("0873", "Woensdrecht", 160),
    ("0879", "Zundert", 204),
    ("0880", "Wormerland", 136),
    ("0882", "Landgraaf", 267),
    ("0888", "Beek", 132),
    ("0889", "Beesel", 105),
    ("0893", "Bergen (L)", 96),
    ("0899", "Brunssum", 220),
    ("0907", "Gennep", 121),
    ("0917", "Heerlen", 708),
    ("0928", "Kerkrade", 343),
    ("0935", "Maastricht", 814),
    ("0938", "Meerssen", 129),
    ("0944", "Mook en Middelaar", 52),
    ("0946", "Nederweert", 163),
    ("0957", "Roermond", 536),
    ("0965", "Simpelveld", 72),
    ("0971", "Stein", 164),
    ("0981", "Vaals", 52),
    ("0983", "Venlo", 874),
    ("0984", "Venray", 332),
    ("0986", "Voerendaal", 95),
    ("0988", "Weert", 415),
    ("0994", "Valkenburg aan de Geul", 91),
    ("0995", "Lelystad", 894),
    ("1507", "Horst aan de Maas", 353),
    ("1509", "Oude IJsselstreek", 287),
    ("1525", "Teylingen", 371),
    ("1581", "Utrechtse Heuvelrug", 390),
    ("1586", "Oost Gelre", 304),
    ("1598", "Koggenland", 242),
    ("1621", "Lansingerland", 710),
    ("1640", "Leudal", 307),
    ("1641", "Maasgouw", 207),
    ("1652", "Gemert-Bakel", 303),
    ("1655", "Halderberge", 256),
    ("1658", "Heeze-Leende", 136),
    ("1659", "Laarbeek", 220),
    ("1667", "Reusel-De Mierden", 135),
    ("1669", "Roerdalen", 141),
    ("1674", "Roosendaal", 648),
    ("1676", "Schouwen-Duiveland", 305),
    ("1680", "Aa en Hunze", 192),
    ("1681", "Borger-Odoorn", 205),
    ("1690", "De Wolden", 179),
    ("1695", "Noord-Beveland", 46),
    ("1696", "Wijdemeren", 202),
    ("1699", "Noordenveld", 234),
    ("1700", "Twenterand", 331),
    ("1701", "Westerveld", 135),
    ("1705", "Lingewaard", 396),
    ("1706", "Cranendonck", 182),
    ("1708", "Steenwijkerland", 360),
    ("1709", "Moerdijk", 340),
    ("1711", "Echt-Susteren", 239),
    ("1714", "Sluis", 172),
    ("1719", "Drimmelen", 263),
    ("1721", "Bernheze", 279),
    ("1723", "Alphen-Chaam", 84),
    ("1724", "Bergeijk", 154),
    ("1728", "Bladel", 178),
    ("1729", "Gulpen-Wittem", 104),
    ("1730", "Tynaarlo", 279),
    ("1731", "Midden-Drenthe", 298),
    ("1734", "Overbetuwe", 430),
    ("1735", "Hof van Twente", 286),
    ("1740", "Neder-Betuwe", 356),
    ("1742", "Rijssen-Holten", 443),
    ("1771", "Geldrop-Mierlo", 334),
    ("1773", "Olst-Wijhe", 162),
    ("1774", "Dinkelland", 294),
    ("1783", "Westland", 1137),
    ("1842", "Midden-Delfland", 165),
    ("1859", "Berkelland", 339),
    ("1876", "Bronckhorst", 235),
    ("1883", "Sittard-Geleen", 731),
    ("1884", "Kaag en Braassem", 320),
    ("1891", "Dantumadiel", 189),
    ("1892", "Zuidplas", 529),
    ("1894", "Peel en Maas", 390),
    ("1895", "Oldambt", 305),
    ("1896", "Zwartewaterland", 285),
    ("1900", "Súdwest Fryslân", 763),
    ("1901", "Bodegraven-Reeuwijk", 396),
    ("1903", "Eijsden-Margraten", 221),
    ("1904", "Stichtse Vecht", 643),
    ("1911", "Hollands Kroon", 413),
    ("1916", "Leidschendam-Voorburg", 704),
    ("1924", "Goeree-Overflakkee", 451),
    ("1926", "Pijnacker-Nootdorp", 553),
    ("1930", "Nissewaard", 874),
    ("1931", "Krimpenerwaard", 642),
    ("1940", "De Fryske Marren", 420),
    ("1942", "Gooise Meren", 554),
    ("1945", "Berg en Dal", 252),
    ("1948", "Meierijstad", 790),
    ("1949", "Waadhoeke", 372),
    ("1950", "Westerwolde", 172),
    ("1952", "Midden-Groningen", 537),
    ("1954", "Beekdaelen", 321),
    ("1955", "Montferland", 297),
    ("1959", "Altena", 599),
    ("1960", "West Betuwe", 530),
    ("1961", "Vijfheerenlanden", 784),
    ("1963", "Hoeksche Waard", 804),
    ("1966", "Het Hogeland", 405),
    ("1969", "Westerkwartier", 659),
    ("1970", "Noardeast-Fryslân", 423),
    ("1978", "Molenlanden", 487),
    ("1979", "Eemsdelta", 397),
    ("1980", "Dijk en Waard", 899),
    ("1982", "Land van Cuijk", 762),
    ("1991", "Maashorst", 568),
    ("1992", "Voorne aan Zee", 581),
];

#[rustfmt::skip]
pub const STREET_NAMES: &[&str] = &[
    "1e Helmersstraat", "Abtswoudepad", "Accason", "Accumulatorweg",
    "Achterspring", "Adama van Scheltemaplein", "Admiraal Helfrichstraat",
    "Adriaenpad", "Albert Wittenbergplein", "Alsemlaan", "Ambachtsweg",
    "Amstelbestpad", "Amstelslag", "Amstelweg", "Amsterdam Rijnkanaalkade",
    "Amsterdamse Poort", "Anna Blamanpad", "Anna Paulownastraat",
    "Anna Pavlovastraat", "Annie M.G. Schmidtstraat", "Antillenpad",
    "Arena boulevard", "Aronskelk", "Arthur van Schendelplantsoen",
    "Artillerieweg", "Atje Keulen-Deelstrastraat", "Aubade", "Avegaarplaats",
    "Aviolanda", "Baldermoer", "Balsemien", "Barend Biesheuvelstraat",
    "Batteryparkstraat", "Beatrixpark", "Behoudenvaartweg",
    "Benedenduinstraat", "Beneluxplein", "Bennebroekerdijk", "Bensdorpplein",
    "Benzolweg", "Beringenstraat", "Berzeliusstraat", "Bessenpad", "Beukenhof",
    "Bietenboulevard", "Bijlmerweide", "Boelijn", "Boerenweteringpad",
    "Bohnweg", "Boorstraat", "Boterdijkweg", "Bristou", "Buiksloterkerkpad",
    "Buitengouw", "Buitenrustbrug Noord", "Burg. Amersfoordtlaan",
    "Burgemeester Bruijn hof", "Burgemeester Wiegelweg", "Burg. Fockstraat",
    "Burgweg", "Busweg", "Carel Willinkgracht", "Cellebroerssteeg",
    "Changing Lane", "Chocoladeweg", "Claes van Ruyvenstraat", "Conakryweg",
    "Costa Brava", "Crommelinbaan", "Dakotaweg", "Daveren", "De Afslag",
    "De Bleeckster", "De Boomgaard", "De Helpende Hand", "De Heusweg",
    "De Kluftstraat", "De Lange lont", "Delftplein", "De Maalderij",
    "Derde Amstelvlietpad", "Descartesstraat", "De Veemarkt", "De Veenen",
    "De Wieden", "Dick Hilleniuspad", "Disselkade", "Doctor J.M. den Uylweg",
    "Domenico Scarlattilaan", "Dopplerstraat", "Dr. D.M. Sluyspad", "Dreef",
    "Dr. J.M. den Uylweg", "Dr. Lafeberstraat", "Drontermeerpad",
    "Drs. J. van Disweg", "Durbanweg", "Dwarsstraat", "Ecoweg", "Ecuadorlaan",
    "Eerelmanstraat", "Egeldonk", "Eilandlaan", "Elizabeth Cady Stantonplein",
    "Elskamp", "Elzenhaege", "Elzenhagenpad", "Engelsesteeg",
    "Entrepotdoksluis", "Erasmuspark", "Evert Haverkortplein", "Fagot",
    "Firststraat", "Flammarionstraat", "Floraparkweg", "Foekje Dillemastraat",
    "Fornebukade", "Fortgracht", "Fort Voordorplaan", "Fossema",
    "Franciscus Xaveriuspad", "Frankemaheerd", "Ganderweg", "Ganzenhoefpad",
    "Geelbekstraat", "Geertruida Carelsenpad", "George Westinghousestraat",
    "Gigantenstraat", "G.J. Scheurleerpad", "Glauberweg", "Gleditsialaan",
    "Goede Herderspad", "Gooimeerstraat", "Gording", "Gowin Knightstraat",
    "Graan voor Visch", "Groothoeve", "Grote Lijster", "Grote Speelweide",
    "Grote Steng", "Hanedastraat", "Haparandasteiger", "Hatostraat",
    "Hector Berliozlaan", "Hectorsingel", "Henk Schijvenaarstraat",
    "Het Pontveer", "Heuvelweg", "Hilversumse Meentweg", "H.J. Schimmelstraat",
    "H.M. van Randwijkplantsoen", "Hobo", "Holendrechterzijweg", "Hollandweg",
    "Hommeldijk", "Hondsrugweg", "Honswijkerpad", "Hoogduinstraat",
    "Hoorneboeg", "Hoyerpad", "Hugo de Grootweg", "Huiswoudhof", "Ierlandhof",
    "IJ-promenade", "Indijkweg", "Instrumentenweg", "Irislaan", "Iyohof",
    "Jaagweg", "Jamaicaplantsoen", "Jan Beijerpad", "Jan Boutsteeg",
    "Jan Brinkmanstraat", "Jan Duikerhof", "Jan Gijzenpad",
    "Jan Jacob Slauerhoffpad", "Jan Pieter Zondervanweg", "Jan Thoméepad",
    "Jan Tooroplaan", "Jelle Zijlstrastraat", "J.H. Hisgenpad", "Johannapark",
    "John Henry Wiltonlaan", "Joop Woortmanplein", "J.W. Siebbeleshof",
    "Kaasmakerstraat", "Kalkbranderij", "Kalkovenplein", "Kalvertoren",
    "Kamillelaan", "Kanaaldijk West", "Kapitein G.A. Meijerweg",
    "Kasterleepark", "Kattenlaan", "Kea Boumanlaan", "Keerweer",
    "Kees Abspoelstraat", "Kees Boekestraat", "kleilandpad", "Kleilandpad",
    "Kleine Hulzen", "Kleine Johanneslaan", "Kleine Wiel", "Koepelplein",
    "Kompaspad", "Kompasweg", "Koperstraat", "Kopkewierpad", "Kop van de Kaap",
    "Korenbloemweg", "Korenerf", "Korte bedekte weg", "Korte Spinhuissteeg",
    "Kraaiennestpad", "Kristalpromenade", "Kwikzilverstraat", "Lakenveld",
    "Langbroekdreef", "Langebrug", "Lavendellaan", "Leo Heijdenrijkstraat",
    "Lieve Vrouwe Gracht", "Lindenhoevestraat", "Lindenhoeveweg", "Lloydplein",
    "Louis Hartzstraat", "Lupinesingel", "Maarse &amp; Kroon Hof",
    "Majoor Bosshardtplantsoen", "Makassarplein", "Makerskade",
    "Mangaanstraat", "Mantelmeeuwpad", "Maraboeweg", "Marifoonweg",
    "Markonstraat", "Martin Luther Kingpark", "Mathijs Vermeulenpad",
    "Matthijs Vermeulenpad", "Maurice Ravellaan", "Maxisweg",
    "Meester Jacob Takkade", "Meyboompad", "Middenmeerpad", "Minaret",
    "Minaretstraat", "Minnemoersstraat", "Molenaarslaan", "Molensloot",
    "Monte Rosaplein", "Montreallaan", "Mooie Nelpad", "Mosterdpotsteeg",
    "Muiderzandplaats", "Muurweg", "Navigatiepad", "Nico van Suchtelenpad",
    "Nieuwe Passeerdersstraat", "Nieuwe Steeg", "Nieuwe Utrechtseweg",
    "Noorderduinoord", "Noorderduinweide", "Noorderhoutpad", "Noorderpark",
    "Noordkaperweg", "Noordwal", "Odysseestraat", "Ooievaarpad", "Oosterdreef",
    "Oosterschelde", "Oostoever", "Orteliuspad", "Oude Waarderweg",
    "Over de Tol", "Paasbergpad", "Parlevinkerpad", "Paterslaan",
    "Patriaplein", "Paviljoenlaan", "P. Dijkstraplein", "Pelerin",
    "Peltenburgstraat", "Piarcoplein", "Pieter Jacobstraat", "Pietersbergweg",
    "Piet Kranenbergpad", "Piet Moeskopspad", "Piet van Heerdenplein",
    "Pijlstaartpad", "Platinaweg", "Polonceaukade", "Pontsteiger",
    "Poortwachtersweg", "President Kennedyplantsoen", "Prinsenbrug",
    "Prinses Amaliaplein", "Prinses Catharina-Amalialaan", "Prinsessenpad",
    "Professor W.H. Keesomlaan", "Propaanweg", "Provinciale weg", "Pudongweg",
    "Rangoonweg", "Reaal", "Regenmeter", "Regulusplein", "Reynvaanpad",
    "Rietpol", "Rietsingel", "Ringweg-Noord", "Rinse Hofstraweg",
    "Rocketstraat", "Roerdomppad", "Rossinistraat", "Rotterdamsepad",
    "Rozemarijnsteeg", "Ruigoord", "Ruisbeekhof", "Samoaweg", "Santoriniweg",
    "Schalkwijkpolderweg", "Schapenplein", "Schipholplaza", "Schoterbospad",
    "Schouwbroekerbrug", "Sierteeltstraat", "Sikorskylaan",
    "Simon van Gijnpad", "Sint Jorissteeg", "Slego", "Sleutelstraat",
    "Slijterstraat", "Sloeweg", "Slotlaan", "Slowakijehof", "Smeet",
    "Snijdersbergweg", "Spark Avenue", "Spijkermanslaan", "Stapels",
    "Stationsplein-Zuidwest", "Stelling", "Stenen Hoofd", "Strawinskypad",
    "Subangstraat", "SugarCity Ring", "Swanegat", "Tennispark", "Termieterweg",
    "Ter Spijtstraat", "Theo Koomenpad", "Theo van Doesburgplantsoen",
    "Titus Brandsmapad", "Tolsendestraat", "Tom Schreursenweg",
    "Transportstraat", "Tritomalaan", "Turbineweg", "Tussenplaats",
    "Tweede Amstelvlietpad", "ue des Vieilles Douves", "Uilenburgersteeg",
    "Valburgdreef", "Valkensteeg", "Van Bommel-Van Dampad",
    "van 't Hoffstraat", "Van Zeggelenpad", "Veldpostpark", "Vendelstraat",
    "Venhof", "Verlengde Rijnkade", "Verlengde Stellingweg",
    "Veroneseplantsoen", "Vidarstraat", "Vinkebrug", "Violenweg", "Vogelweg",
    "Volendamstraat", "Volkstuinenpad", "Volmerpad", "Voltweg", "Vondelpad",
    "Vorticellaweg", "Vrouwengelukhof", "Waarderbrug", "Waarderhaven",
    "Wagenweg", "Walvisvaart", "Waterpad", "Waterwolfweg", "Watze Hilariusweg",
    "Westerhoofd", "Westerkimweg", "Westerwindpad", "Wilco Jiskootpad",
    "Willem Dreesstraat", "Willem Johannes Cornelis Arondeusstraat",
    "Willem Landréstraat", "Willem Schermerhornstraat",
    "Willem Theunisse Blokstraat", "Winterspelenplein", "Zijdelweg",
    "Zijlstraat", "Zijltje", "Zinkstraat", "Zomerlindepad", "Zwartelaantje",
];

pub const HOUSE_LETTERS: &[(char, f64)] = &[
    // Source: https://www.kadaster.nl/-/kosteloze-download-bag-2-0-extract

    // For addresses without house letters, we find 8812749 out of 12488748 occurrences, so ~70.6% of all addresses in the BAG has no house letter

    // For uppercase letters, we find the following number of occurrences:
    // ("A", 518166.0/12488748.0),
    // ("B", 275299.0/12488748.0),
    // ("C", 163903.0/12488748.0),
    // ("D", 110958.0/12488748.0),
    // To normalize/extrapolate this, we use the following curve-fitted half-life formula: P(x) = 0.005311062 + 0.03617431/2^(x/0.9009943) (where x = 0 means A, x = 1 means B, etc.)

    // For lowercase letters, we find the following number of occurrences:
    // ("a", 242136.0/12488748.0),
    // ("b", 91236.0/12488748.0),
    // ("c", 50017.0/12488748.0),
    // ("d", 33980.0/12488748.0),
    // To normalize/extrapolate this, we use the following curve-fitted half-life formula: P(x) = 0.002390367 + 0.01698962/2^(x/0.5648788) (where x = 0 means a, x = 1 means b, etc.)
    ('A', 0.0414854),
    ('B', 0.0220717),
    ('C', 0.0130768),
    ('D', 0.00890917),
    ('E', 0.00697818),
    ('F', 0.00608349),
    ('G', 0.00566895),
    ('H', 0.00547688),
    ('I', 0.00538789),
    ('J', 0.00534666),
    ('K', 0.00532756),
    ('L', 0.0053187),
    ('M', 0.0053146),
    ('N', 0.0053127),
    ('O', 0.00531182),
    ('P', 0.00531141),
    ('Q', 0.00531123),
    ('R', 0.00531114),
    ('S', 0.0053111),
    ('T', 0.00531108),
    ('U', 0.00531107),
    ('V', 0.00531107),
    ('W', 0.00531106),
    ('X', 0.00531106),
    ('Y', 0.00531106),
    ('Z', 0.00531106),
    ('a', 0.01938),
    ('b', 0.00737087),
    ('c', 0.0038504),
    ('d', 0.00281837),
    ('e', 0.00251584),
    ('f', 0.00242715),
    ('g', 0.00240115),
    ('h', 0.00239353),
    ('i', 0.00239129),
    ('j', 0.00239064),
    ('k', 0.00239045),
    ('l', 0.00239039),
    ('m', 0.00239037),
    ('n', 0.00239037),
    ('o', 0.00239037),
    ('p', 0.00239037),
    ('q', 0.00239037),
    ('r', 0.00239037),
    ('s', 0.00239037),
    ('t', 0.00239037),
    ('u', 0.00239037),
    ('v', 0.00239037),
    ('w', 0.00239037),
    ('x', 0.00239037),
    ('y', 0.00239037),
    ('z', 0.00239037),
];

#[rustfmt::skip]
pub const HOUSE_NUMBER_ADDITIONS: &[&str] = &[
    // Note: must not equal/contain I, J, O, or Q according to https://www.amsterdam.nl/stelselpedia/bag-index/catalogus-bag/objectklasse-num/huisnummertoevoeging/. However, I occurs in other municipalities
    "A", "B", "C", "D", "I", "II", "III", "IIII", "IV", "bis", "BIS", "BS", "ZW", "RD", "bedr", "BEDR", "BIJ", "by", "VOOR", "G1", "G3", "G5", "1", "2", "3", "5", "101", "103", "105", "a", "b", "c", "01", "02", "03", "04", "05", "001", "002", "003", "200", "205", "K001", "K002", "K003", "K101", "K102", "K104", "N001", "N002", "N003"
];

#[rustfmt::skip]
pub const PURPOSES: &[&str] = &[
    "Recreation", "Business", "Habitation"
];

// Note: according to https://www.rijksoverheid.nl/binaries/rijksoverheid/documenten/rapporten/2023/07/07/tk-bijlage-1-onderzoeksrapport-rutgers-kiezen-voor-een-x/tk-bijlage-1-onderzoeksrapport-rutgers-kiezen-voor-een-x.pdf, ~3.7% of respondents is (very) likely to set the gender to "X" when possible via the municipality and another 0.4% did not want to answer this question. We therefore use a guesstimate of 3.7% + 0.4%/2 = 3.9% as seed weight for gender X and assume that the other genders are divided according to the data from https://www.cbs.nl/nl-nl/visualisaties/dashboard-bevolking/mannen-en-vrouwen (measured on January 1st, 2022). IMPROVE: improve these weights when more data is available?
pub const GENDERS: &[(&str, f32)] = &[("M", 47.8), ("F", 48.3), ("X", 3.9)];

// Source: https://www.svb.nl/nl/kindernamen/namen/meisjes-populariteit. IMPROVE: add number of occurrences per name, also below. IMPROVE: also look at historical names instead of recently popular names
#[rustfmt::skip]
pub const FIRST_NAMES_FEMALE: &[&str] = &[
    "Emma", "Julia", "Sophie", "Tess", "Mila", "Anna", "Zoë", "Sara", "Eva",
    "Evi", "Lotte", "Saar", "Nora", "Olivia", "Liv", "Lieke", "Noor", "Yara",
    "Lynn", "Fenna", "Fleur", "Isa", "Sarah", "Maud", "Lisa", "Milou", "Nina",
    "Roos", "Elin", "Noa", "Lauren", "Nova", "Sofie", "Emily", "Loïs", "Lina",
    "Esmee", "Jasmijn", "Amy", "Luna", "Sanne", "Hannah", "Ella", "Feline",
    "Sofia", "Julie", "Sophia", "Fien", "Maria", "Femke", "Vera", "Anne",
    "Naomi", "Liz", "Isabella", "Mia", "Lara", "Bo", "Lena", "Elise", "Hailey",
    "Amber", "Floor", "Charlotte", "Lizzy", "Norah", "Suze", "Jill", "Elena",
    "Fenne", "Veerle", "Isabel", "Eline", "Iris", "Ivy", "Benthe", "Rosa",
    "Cato", "Tessa", "Puck", "Evy", "Linde", "Fay", "Lize", "Rosalie", "Hanna",
    "Lana", "Livia", "Laura", "Lola", "Merel", "Lily", "Elif", "Kiki", "Fiene",
    "Nikki", "Johanna", "Juul", "Suus", "Romy", "Noah",
];

// Source: https://www.svb.nl/nl/kindernamen/namen/jongens-populariteit
#[rustfmt::skip]
pub const FIRST_NAMES_MALE: &[&str] = &[
    "Lucas", "Daan", "Sem", "Levi", "Finn", "Milan", "Luuk", "Bram", "Liam",
    "Jesse", "Mees", "Sam", "Thomas", "Max", "Thijs", "Adam", "Julian", "Luca",
    "Noud", "Lars", "Benjamin", "James", "Ruben", "Siem", "Gijs", "Jayden",
    "Teun", "Stijn", "Tim", "Mats", "Hugo", "Boaz", "Mason", "Jan", "Jens",
    "Olivier", "Sven", "David", "Dex", "Guus", "Vince", "Floris", "Jack",
    "Tijn", "Ryan", "Joep", "Ties", "Cas", "Tygo", "Jurre", "Daniël", "Tom",
    "Willem", "Pepijn", "Roan", "Morris", "Fedde", "Jason", "Tobias", "Owen",
    "Pim", "Dean", "Mohammed", "Xavi", "Abel", "Mohamed", "Senn", "Dani",
    "Rayan", "Quinn", "Nathan", "Mick", "Hidde", "Samuel", "Alexander", "Niek",
    "Aiden", "Stan", "Johannes", "Dylan", "Kai", "Joshua", "Thijmen", "Boris",
    "Jace", "Job", "Pieter", "Otis", "Casper", "Sepp", "Zayn", "Joris", "Jake",
    "Jelle", "Jip", "Lenn", "Koen", "Jax", "Jasper",
];

// Source: https://www.babynamen.nl/namen/unisex/#h-de-100-populairste-unisex-namen
#[rustfmt::skip]
pub const FIRST_NAMES_X: &[&str] = &[
    "Noah", "Luca", "Sem", "Sam", "Isa", "Nova", "Bo", "Jip", "Lou ",
    "Charlie", "Kai", "Noé", "Jayden", "Dani", "Lio", "Roan", "Lenn", "Melle",
    "Ezra", "Quinn", "Bowie", "Puck", "Robin", "Novi", "Beau", "Bodhi",
    "Riley", "Senna", "Logan", "Marley", "Demi", "Mace", "Luka", "Lowen",
    "Jules", "Alex", "Anne", "Joa", "Bobby", "Jackie", "Noël", "Bodi", "Jamie",
    "Ali", "Kay", "Lío", "Miran", "Lux", "Zoey", "Indy", "Bobbi", "Coco",
    "Nouri", "Eden", "Izzy", "Vesper", "Gabriel", "Juda", "Marly", "Micha",
    "Eli", "Riv", "Teddy", "Joey", "Manu", "Sami", "Jaydi", "Nour", "Diede",
    "Nowi", "Sil", "Sammie", "Jaimy", "Louie", "Jona", "Silke", "Doris",
    "Lennon", "Chris", "Noï", "Joes", "Loet", "Jessie", "Louèn", "Len",
    "Marijn", "Jule", "Maan", "Arya", "Bobbie", "Maxime", "Lenny", "Antoni",
    "Kae", "Revi", "Royce", "Billie", "Eef", "Puk", "Scottie",
];

// Family names including prefixes. Source: https://nl.wikipedia.org/wiki/Lijst_van_meest_voorkomende_achternamen_van_Nederland (original source: https://cbgfamilienamen.nl/nfb/documenten/top100.pdf). IMPROVE: add number of occurrences per name and use this for random name selection
pub const FAMILY_NAMES: &[(&str, &str, u32)] = &[
    // Note: structure is: (voorvoegsel, familienaam, number of occurrences)
    ("de", "Jong", 86_534),
    ("", "Jansen", 75_698),
    ("de", "Vries", 73_152),
    ("van de", "Berg", 60_135 / 3),
    ("van den", "Berg", 60_135 / 3),
    ("van der", "Berg", 60_135 / 3),
    ("van", "Dijk", 57_879),
    ("", "Bakker", 56_864),
    ("", "Janssen", 55_394),
    ("", "Visser", 50_929),
    ("", "Smit", 43_498),
    ("", "Meijer", 41_497 / 2),
    ("", "Meyer", 41_497 / 2),
    ("de", "Boer", 39_575),
    ("", "Mulder", 37_250),
    ("de", "Groot", 37_221),
    ("", "Bos", 36_479),
    ("", "Vos", 31_154),
    ("", "Peters", 30_864),
    ("", "Hendriks", 30_199),
    ("van", "Leeuwen", 28_774),
    ("", "Dekker", 28_682),
    ("", "Brouwer", 26_224),
    ("de", "Wit", 24_904),
    ("", "Dijkstra", 24_175),
    ("", "Smits", 23_816),
    ("de", "Graaf", 21_699),
    ("van der", "Meer", 21_354 / 2),
    ("van de", "Meer", 21_354 / 2),
    ("van der", "Linden", 20_835),
    ("", "Kok", 20_834),
    ("", "Jacobs", 20_822),
    ("de", "Haan", 20_707),
    ("", "Vermeulen", 20_633),
    ("van den", "Heuvel", 20_583),
    ("van der", "Veen", 19_847 / 2),
    ("van de", "Veen", 19_847 / 2),
    ("van den", "Broek", 18_998),
    ("de", "Bruijn", 18_218 / 2),
    ("de", "Bruyn", 18_218 / 2),
    ("de", "Bruin", 18_105),
    ("van der", "Heijden", 17_645 / 2),
    ("van der", "Heyden", 17_645 / 2),
    ("", "Schouten", 17_626),
    ("van", "Beek", 17_148),
    ("", "Willems", 17_042),
    ("van", "Vliet", 16_903),
    ("van de", "Ven", 16_282 / 2),
    ("van der", "Ven", 16_282 / 2),
    ("", "Hoekstra", 16_114),
    ("", "Maas", 16_070),
    ("", "Verhoeven", 15_902),
    ("", "Koster", 15_898),
    ("van", "Dam", 15_729),
    ("van der", "Wal", 15_646 / 2),
    ("van de", "Wal", 15_646 / 2),
    ("", "Prins", 15_361),
    ("", "Blom", 15_097),
    ("", "Huisman", 15_043),
    ("", "Peeters", 14_474),
    ("de", "Jonge", 14_379),
    ("", "Kuipers", 14_362),
    ("van", "Veen", 14_199),
    ("", "Post", 13_965),
    ("", "Kuiper", 13_803),
    ("", "Veenstra", 13_626),
    ("", "Kramer", 13_490),
    ("van den", "Brink", 13_459 / 2),
    ("van de", "Brink", 13_459 / 2),
    ("", "Scholten", 13_129),
    ("van", "Wijk", 13_053),
    ("", "Postma", 12_886),
    ("", "Martens", 12_592),
    ("", "Vink", 12_453),
    ("de", "Ruiter", 12_297),
    ("", "Timmermans", 12_063),
    ("", "Groen", 11_967),
    ("", "Gerritsen", 11_861),
    ("", "Jonker", 11_789),
    ("van", "Loon", 11_774),
    ("", "Boer", 11_697),
    ("van der", "Velde", 11_654 / 3),
    ("van den", "Velde", 11_654 / 3),
    ("van de", "Velde", 11_654 / 3),
    ("", "Willemsen", 11_528),
    ("", "Smeets", 11_502),
    ("de", "Lange", 11_321),
    ("de", "Vos", 11_304),
    ("", "Bosch", 11_229),
    ("van", "Dongen", 11_123),
    ("", "Schipper", 11_088),
    ("de", "Koning", 11_046),
    ("van der", "Laan", 11_002),
    ("", "Koning", 10_957),
    ("van der", "Velden", 10_918 / 3),
    ("van de", "Velden", 10_918 / 3),
    ("van den", "Velden", 10_918 / 3),
    ("", "Driessen", 10_780),
    ("van", "Doorn", 10_775),
    ("", "Hermans", 10_641),
    ("", "Evers", 10_578),
    ("van den", "Bosch", 10_491),
    ("van der", "Meulen", 10_320),
    ("", "Hofman", 10_271),
    ("", "Bosman", 10_246),
    ("", "Wolters", 10_241),
    ("", "Sanders", 10_208),
    ("van der", "Horst", 10_203),
    ("", "Mol", 10_203),
    ("", "Kuijpers", 10_188 / 2),
    ("", "Kuypers", 10_188 / 2),
    ("", "Molenaar", 10_175),
    ("van de", "Pol", 10_128 / 3),
    ("van den", "Pol", 10_128 / 3),
    ("van der", "Pol", 10_128 / 3),
    ("de", "Leeuw", 10_101),
    ("", "Verbeek", 9_775),
    // Turkish family names. Source: https://www.turks.nl/turkije/algemeen/dit-zijn-de-meest-voorkomende-turkse-namen-en-achternamen in combination with https://www.cbgfamilienamen.nl/nfb/lijst_namen.php?operator=eq&naam=...
    ("", "Kaya", 3109),
    ("", "Yildiz", 2711),
    ("", "Yildirim", 2567),
    ("", "Demir", 2395),
    ("", "Sahin", 2327),
    ("", "Öztürk", 2437),
    ("", "Özdemir", 2091),
    ("", "Aydin", 2199),
    ("", "Çelik", 1908),
    ("", "Arslan", 1650),
    // Surinamese family names. Source: https://nl.wikipedia.org/wiki/Lijst_van_meest_voorkomende_achternamen_van_Suriname in combination with https://www.cbgfamilienamen.nl/nfb/lijst_namen.php?operator=eq&naam=...
    ("", "Singh", 2250),
    ("", "Chen", 1934),
    ("", "Li", 1445),
    ("", "Pinas", 1286),
    ("", "Liu", 1097),
    ("", "Lin", 1013),
    ("", "Zhang", 730),
    ("", "Mohan", 549),
    ("Da", "Silva", 353),
    ("", "Tjon", 336),
    // Moroccan family names. Source: https://www.cbgfamilienamen.nl/nfb/detail_naam.php?info=kenmerk&kenmerk=Marokkaanse+naam&nfd_naam=Loukili in combination with https://www.cbgfamilienamen.nl/nfb/lijst_namen.php?operator=eq&naam=...
    ("", "Loukili", 657),
    ("El", "Idrissi", 617),
    ("El", "Moussaoui", 619),
    ("", "Tahiri", 563),
    ("", "Benali", 522),
    ("", "Kasmi", 476),
    ("", "Ziani", 467),
    ("", "Talhaoui", 450),
    ("", "Salhi", 451),
    ("", "Daoudi", 422),
    // Less common names (edge cases because of their length). Source: https://nl.wikipedia.org/wiki/Lijst_van_langste_achternamen_van_Nederland
    ("van", "Oldenbarneveld genaamd Witte Tullingh", 29),
    ("van", "Hövell tot Westervlier en Wezeveld", 32),
    ("van", "Hövell van Wezeveld en Westerflier", 42),
    ("", "Oetgens van Waveren Pancras Clifford", 44),
    ("", "Ebbelinghaus ook wel genaamd Wirxel", 27),
];

// Sources: https://publicaties.rvig.nl/Landelijke_tabellen/Landelijke_tabellen_32_t_m_61_excl_tabel_35/Landelijke_Tabellen_32_t_m_61_in_csv_formaat/Tabel_34_Landen_gesorteerd_op_omschrijving and https://en.wikipedia.org/wiki/List_of_largest_cities#List, based on UN DESA 2018 counts/estimations
pub const BIRTH_PLACES_ABROAD: &[(&str, &str, &str, u32)] = &[
    // Note: structure is (place name, country name, country code, number of inhabitants as measure for birth rates)
    ("Tokyo", "Japan", "7035", 37468000),
    ("Delhi", "India", "7046", 28514000),
    ("Shanghai", "China", "6022", 25582000),
    ("São Paulo", "Brazilië", "6008", 21650000),
    ("Mexico City", "Mexico", "7006", 21581000),
    ("Cairo", "Egypte", "7014", 20076000),
    ("Mumbai", "India", "7046", 19980000),
    ("Beijing", "China", "6022", 19618000),
    ("Dhaka", "Bangladesh", "7084", 19578000),
    ("Osaka", "Japan", "7035", 19281000),
    (
        "New York City",
        "Verenigde Staten van Amerika",
        "6014",
        18819000,
    ),
    ("Karachi", "Pakistan", "7020", 15400000),
    ("Buenos Aires", "Argentinië", "7015", 14967000),
    ("Chongqing", "China", "6022", 14838000),
    ("Istanbul", "Turkije", "6043", 14751000),
    ("Kolkata", "India", "7046", 15333000),
    ("Manila", "Filipijnen", "5027", 13482000),
    ("Lagos", "Nigeria", "6005", 13463000),
    ("Rio de Janeiro", "Brazilië", "6008", 13293000),
    ("Tianjin", "China", "6022", 13215000),
    (
        "Kinshasa",
        "Democratische Republiek Congo",
        "6069",
        13171000,
    ),
    ("Guangzhou", "China", "6022", 12638000),
    (
        "Los Angeles",
        "Verenigde Staten van Amerika",
        "6014",
        12458000,
    ),
    ("Moscow", "Rusland", "5053", 12410000),
    ("Shenzhen", "China", "6022", 11908000),
    ("Lahore", "Pakistan", "7020", 11738000),
    ("Bangalore", "India", "7046", 11440000),
    ("Paris", "Frankrijk", "5002", 10901000),
    ("Bogotá", "Colombia", "5033", 10574000),
    ("Jakarta", "Indonesië", "6024", 10517000),
    ("Chennai", "India", "7046", 10456000),
    ("Lima", "Peru", "7049", 10391000),
    ("Bangkok", "Thailand", "7042", 10156000),
    ("Seoul", "Zuid-Korea", "6036", 9963000),
    ("Nagoya", "Japan", "7035", 9507000),
    ("Hyderabad", "India", "7046", 9482000),
    ("London", "Verenigd Koninkrijk", "6039", 9046000),
    ("Tehran", "Iran", "5012", 8896000),
    ("Chicago", "Verenigde Staten van Amerika", "6014", 8864000),
    ("Chengdu", "China", "6022", 8813000),
    ("Nanjing", "China", "6022", 8245000),
    ("Wuhan", "China", "6022", 8176000),
    ("Ho Chi Minh City", "Vietnam", "8024", 8145000),
    ("Luanda", "Angola", "5026", 7774000),
    ("Ahmedabad", "India", "7046", 7681000),
    ("Kuala Lumpur", "Maleisië", "7026", 7564000),
    ("Xi'an", "China", "6022", 7444000),
    ("Hong Kong", "China", "6022", 7429000),
    ("Dongguan", "China", "6022", 7360000),
    ("Hangzhou", "China", "6022", 7236000),
    ("Foshan", "China", "6022", 7236000),
    ("Shenyang", "China", "6022", 6921000),
    ("Riyadh", "Saoedi-Arabië", "5018", 6907000),
    ("Baghdad", "Irak", "5043", 6812000),
    ("Santiago", "Chili", "5021", 6680000),
    ("Surat", "India", "7046", 6564000),
    ("Madrid", "Spanje", "6037", 6497000),
    ("Suzhou", "China", "6022", 6339000),
    ("Pune", "India", "7046", 6276000),
    ("Harbin", "China", "6022", 6115000),
    ("Houston", "Verenigde Staten van Amerika", "6014", 6115000),
    ("Dallas", "Verenigde Staten van Amerika", "6014", 6099000),
    ("Toronto", "Canada", "5001", 6082000),
    ("Dar es Salaam", "Tanzania", "7031", 6048000),
    ("Miami", "Verenigde Staten van Amerika", "6014", 6036000),
    ("Belo Horizonte", "Brazilië", "6008", 5972000),
    ("Singapore", "Singapore", "5037", 5792000),
    (
        "Philadelphia",
        "Verenigde Staten van Amerika",
        "6014",
        5695000,
    ),
    ("Atlanta", "Verenigde Staten van Amerika", "6014", 5572000),
    ("Fukuoka", "Japan", "7035", 5551000),
    ("Khartoum", "Soedan", "7034", 5534000),
    ("Barcelona", "Spanje", "6037", 5494000),
    ("Johannesburg", "Zuid-Afrika", "5014", 5486000),
    ("Saint Petersburg", "Rusland", "5053", 5383000),
    ("Qingdao", "China", "6022", 5381000),
    ("Dalian", "China", "6022", 5300000),
    (
        "Washington",
        "Verenigde Staten van Amerika",
        "6014",
        5207000,
    ),
    ("Yangon", "Myanmar", "5047", 5157000),
    ("Alexandria", "Egypte", "7014", 5086000),
    ("Jinan", "China", "6022", 5052000),
    ("Guadalajara", "Mexico", "7006", 5023000),
];

#[rustfmt::skip]
pub const CAR_MODELS: &[&str] = &[
    "Audi 100", "Audi 80", "Audi 90", "Audi A1", "Audi A2", "Audi A3",
    "Audi A4", "Audi A5", "Audi A6", "Audi A7", "Audi A8", "Audi e-Tron",
    "Audi Q2", "Audi Q3", "Audi Q4", "Audi Q5", "Audi Q7", "Audi Q8",
    "Audi R8", "Audi TT", "BMW 1-serie", "BMW 2-serie", "BMW 3-serie",
    "BMW 4-serie", "BMW 5-serie", "BMW 6-serie", "BMW 7-serie", "BMW 8-serie",
    "BMW i3", "BMW i4", "BMW i8", "BMW iX", "BMW X1", "BMW X2", "BMW X3",
    "BMW X4", "BMW X5", "BMW X6", "BMW X7", "BMW Z3", "BMW Z4", "BMW Z8",
    "Citroën 2CV", "Citroën Berlingo", "Citroën BX", "Citroën C1",
    "Citroën C2", "Citroën C3", "Citroën C4", "Citroën C4 Cactus",
    "Citroën C4 SpaceTourer", "Citroën C5", "Citroën C5 X", "Citroën C6",
    "Citroën C8", "Citroën C-Crosser", "Citroën CX", "Citroën C-Zero",
    "Citroën DS3", "Citroën DS4", "Citroën DS5", "Citroën Evasion",
    "Citroën Jumper", "Citroën Jumpy", "Citroën Nemo", "Citroën Saxo",
    "Citroën Xantia", "Citroën XM", "Citroën Xsara", "Citroën ZX",
    "Cupra Born", "Cupra Formentor", "Cupra Leon", "Dacia Dokker",
    "Dacia Duster", "Dacia Jogger", "Dacia Lodgy", "Dacia Logan",
    "Dacia Sandero", "Dacia Spring", "Daihatsu Applause", "Daihatsu Charade",
    "Daihatsu Copen", "Daihatsu Cuore", "Daihatsu Feroza", "Daihatsu Materia",
    "Daihatsu Move", "Daihatsu Rocky", "Daihatsu Sirion", "Daihatsu Terios",
    "Daihatsu Trevis", "Daihatsu Valéra", "Daihatsu Young RV", "DS 3",
    "DS 3 Crossback", "DS 4", "DS 5", "DS 7 Crossback", "DS 9", "Fiat 124",
    "Fiat 500", "Fiat 500L", "Fiat 500X", "Fiat 600", "Fiat Barchetta",
    "Fiat Brava", "Fiat Bravo", "Fiat Cinquecento", "Fiat Coupé", "Fiat Croma",
    "Fiat Doblò", "Fiat Ducato", "Fiat Fiorino", "Fiat Fullback", "Fiat Idea",
    "Fiat Marea", "Fiat Multipla", "Fiat Palio", "Fiat Panda", "Fiat Punto",
    "Fiat Qubo", "Fiat Scudo", "Fiat Sedici", "Fiat Seicento", "Fiat Stilo",
    "Fiat Strada", "Fiat Talento", "Fiat Tipo", "Fiat Ulysse", "Fiat Uno",
    "Ford B-MAX", "Ford C-MAX", "Ford Ecosport", "Ford Edge", "Ford Escort",
    "Ford Explorer", "Ford Fiesta", "Ford Focus", "Ford Focus C-Max",
    "Ford Fusion", "Ford Galaxy", "Ford Ka", "Ford Kuga", "Ford Mondeo",
    "Ford Mustang", "Ford Mustang Mach-E", "Ford Puma", "Ford Ranger",
    "Ford Scorpio", "Ford Sierra", "Ford S-MAX", "Ford Tourneo Connect",
    "Ford Tourneo Courier", "Ford Tourneo Custom", "Ford Transit Connect",
    "Ford Transit Courier", "Ford Transit Custom", "Honda Accord",
    "Honda Civic", "Honda CR-V", "Honda CR-Z", "Honda e", "Honda FR-V",
    "Honda HR-V", "Honda Insight", "Honda Jazz", "Honda Legend", "Honda Logo",
    "Honda NSX", "Honda S2000", "Honda Stream", "Hyundai Accent",
    "Hyundai Atos", "Hyundai Bayon", "Hyundai Coupé", "Hyundai Elantra",
    "Hyundai Genesis", "Hyundai Getz", "Hyundai Grandeur", "Hyundai H300",
    "Hyundai i10", "Hyundai i20", "Hyundai i30", "Hyundai i40",
    "Hyundai Ioniq", "Hyundai Ioniq 5", "Hyundai ix20", "Hyundai ix35",
    "Hyundai Kona", "Hyundai Matrix", "Hyundai Nexo", "Hyundai Santa Fe",
    "Hyundai Scoupé", "Hyundai Sonata", "Hyundai Terracan", "Hyundai Trajet",
    "Hyundai Tucson", "Hyundai Veloster", "Hyundai XG", "Jaguar E-Pace",
    "Jaguar F-Pace", "Jaguar F-type", "Jaguar I-Pace", "Jaguar S-type",
    "Jaguar XE", "Jaguar XF", "Jaguar XJ", "Jaguar XJS", "Jaguar XK",
    "Jaguar X-type", "Jeep Cherokee", "Jeep Commander", "Jeep Compass",
    "Jeep Grand Cherokee", "Jeep Patriot", "Jeep Renegade", "Jeep Wrangler",
    "Kia Carens", "Kia Carnival", "Kia Ceed", "Kia Cerato", "Kia EV6",
    "Kia Joice", "Kia Magentis", "Kia Mentor", "Kia Niro", "Kia Opirus",
    "Kia Optima", "Kia Picanto", "Kia Pride", "Kia ProCeed", "Kia Rio",
    "Kia Sephia", "Kia Shuma", "Kia Sorento", "Kia Soul", "Kia Sportage",
    "Kia Stinger", "Kia Stonic", "Kia Venga", "Kia XCeed", "Lancia Delta",
    "Lancia Flavia", "Lancia Kappa", "Lancia Lybra", "Lancia Musa",
    "Lancia Phedra", "Lancia Thema", "Lancia Thesis", "Lancia Voyager",
    "Lancia Ypsilon", "Land Rover Defender", "Land Rover Discovery",
    "Land Rover Discovery Sport", "Land Rover Freelander",
    "Land Rover Range Rover", "Land Rover Range Rover Evoque",
    "Land Rover Range Rover Sport", "Land Rover Range Rover Velar", "Lexus CT",
    "Lexus ES", "Lexus GS", "Lexus IS", "Lexus LC", "Lexus LS", "Lexus NX",
    "Lexus RC", "Lexus RX", "Lexus SC", "Lexus UX", "Mazda 121", "Mazda 2",
    "Mazda 3", "Mazda 323", "Mazda 5", "Mazda 6", "Mazda 626", "Mazda CX-3",
    "Mazda CX-30", "Mazda CX-5", "Mazda CX-60", "Mazda CX-7", "Mazda CX-9",
    "Mazda Demio", "Mazda MPV", "Mazda MX-3", "Mazda MX-30", "Mazda MX-5",
    "Mazda Premacy", "Mazda RX-8", "Mazda Tribute", "Mazda Xedos 6",
    "Mazda Xedos 9", "Mercedes-Benz 190-serie", "Mercedes-Benz 200-serie",
    "Mercedes-Benz A-klasse", "Mercedes-Benz AMG GT", "Mercedes-Benz B-klasse",
    "Mercedes-Benz Citan", "Mercedes-Benz C-klasse", "Mercedes-Benz CL",
    "Mercedes-Benz CLA", "Mercedes-Benz CLC", "Mercedes-Benz CLK",
    "Mercedes-Benz CLS", "Mercedes-Benz E-klasse", "Mercedes-Benz EQA",
    "Mercedes-Benz EQB", "Mercedes-Benz EQC", "Mercedes-Benz EQS",
    "Mercedes-Benz EQV", "Mercedes-Benz G-klasse", "Mercedes-Benz GL",
    "Mercedes-Benz GLA", "Mercedes-Benz GLB", "Mercedes-Benz GLC",
    "Mercedes-Benz GLE", "Mercedes-Benz GLK", "Mercedes-Benz GLS",
    "Mercedes-Benz M-klasse", "Mercedes-Benz R-klasse",
    "Mercedes-Benz S-klasse", "Mercedes-Benz SL", "Mercedes-Benz SLC",
    "Mercedes-Benz SLK", "Mercedes-Benz SLR McLaren", "Mercedes-Benz SLS AMG",
    "Mercedes-Benz Sprinter", "Mercedes-Benz Vaneo", "Mercedes-Benz Viano",
    "Mercedes-Benz Vito", "Mercedes-Benz V-klasse", "Mercedes-Benz X-klasse",
    "MINI 1000", "MINI Cabrio", "MINI Clubman", "MINI Countryman",
    "MINI Coupé", "MINI Mini", "MINI Paceman", "MINI Roadster",
    "Mitsubishi ASX", "Mitsubishi Carisma", "Mitsubishi Colt",
    "Mitsubishi Eclipse Cross", "Mitsubishi Galant", "Mitsubishi Grandis",
    "Mitsubishi i-MiEV", "Mitsubishi L200", "Mitsubishi Lancer",
    "Mitsubishi Outlander", "Mitsubishi Outlander Sport", "Mitsubishi Pajero",
    "Mitsubishi Pajero Pinin", "Mitsubishi Pajero Sport",
    "Mitsubishi Space Star", "Mitsubishi Space Wagon", "Nissan 100 NX",
    "Nissan 300 ZX", "Nissan 350Z", "Nissan 370Z", "Nissan Almera",
    "Nissan Almera Tino", "Nissan Ariya", "Nissan Cube", "Nissan Evalia",
    "Nissan GT-R", "Nissan Juke", "Nissan Leaf", "Nissan Micra",
    "Nissan Murano", "Nissan Note", "Nissan NV200", "Nissan NV300",
    "Nissan NV400", "Nissan Pathfinder", "Nissan Patrol", "Nissan Pixo",
    "Nissan Primastar", "Nissan Primera", "Nissan Pulsar", "Nissan Qashqai",
    "Nissan Terrano", "Nissan X-Trail", "Opel Adam", "Opel Agila",
    "Opel Ampera", "Opel Ampera-e", "Opel Antara", "Opel Ascona", "Opel Astra",
    "Opel Calibra", "Opel Cascada", "Opel Combo", "Opel Corsa",
    "Opel Crossland", "Opel Frontera", "Opel Grandland", "Opel GT",
    "Opel Insignia", "Opel Kadett", "Opel Karl", "Opel Manta", "Opel Meriva",
    "Opel Mokka", "Opel Monza", "Opel Movano", "Opel Omega", "Opel Rekord",
    "Opel Senator", "Opel Signum", "Opel Speedster", "Opel Tigra", "Opel Tour",
    "Opel Vectra", "Opel Vivaro", "Opel Zafira", "Peugeot 1007", "Peugeot 106",
    "Peugeot 107", "Peugeot 108", "Peugeot 2008", "Peugeot 205", "Peugeot 206",
    "Peugeot 207", "Peugeot 208", "Peugeot 3008", "Peugeot 306", "Peugeot 307",
    "Peugeot 308", "Peugeot 309", "Peugeot 4007", "Peugeot 405", "Peugeot 406",
    "Peugeot 407", "Peugeot 5008", "Peugeot 504", "Peugeot 505", "Peugeot 508",
    "Peugeot 605", "Peugeot 607", "Peugeot 806", "Peugeot 807",
    "Peugeot Bipper", "Peugeot Expert", "Peugeot Ion", "Peugeot Partner",
    "Peugeot RCZ", "Peugeot Rifter", "Peugeot Traveller", "Polestar 1",
    "Polestar 2", "Porsche 718", "Porsche 911", "Porsche 918", "Porsche 924",
    "Porsche 928", "Porsche 944", "Porsche 968", "Porsche Boxster",
    "Porsche Cayenne", "Porsche Cayman", "Porsche Macan", "Porsche Panamera",
    "Porsche Taycan", "Renault 4", "Renault 5", "Renault Arkana",
    "Renault Avantime", "Renault Captur", "Renault Clio", "Renault Espace",
    "Renault Fluence", "Renault Kadjar", "Renault Kangoo", "Renault Koleos",
    "Renault Laguna", "Renault Master", "Renault Mégane", "Renault Modus",
    "Renault Safrane", "Renault Scénic", "Renaut Talisman", "Renault Trafic",
    "Renault Twingo", "Renault Twizy", "Renault Vel Satis", "Renault Wind",
    "Renault Zoe", "Seat Alhambra", "Seat Altea", "Seat Arona", "Seat Arosa",
    "Seat Ateca", "Seat Cordoba", "Seat Exeo", "Seat Ibiza", "Seat Leon",
    "Seat Marbella", "Seat Mii", "Seat Tarraco", "Seat Toledo", "Skoda Citigo",
    "Skoda Enyaq", "Skoda Fabia", "Skoda Favorit", "Skoda Felicia",
    "Skoda Kamiq", "Skoda Karoq", "Skoda Kodiaq", "Skoda Octavia",
    "Skoda Rapid", "Skoda Roomster", "Skoda Scala", "Skoda Superb",
    "Skoda Yeti", "Smart City-Coupé", "Smart Crossblade", "Smart Forfour",
    "Smart Fortwo", "Smart Roadster", "Suzuki Across", "Suzuki Alto",
    "Suzuki Baleno", "Suzuki Celerio", "Suzuki Grand Vitara", "Suzuki Ignis",
    "Suzuki Jimny", "Suzuki Kizashi", "Suzuki Liana", "Suzuki S-Cross",
    "Suzuki Splash", "Suzuki Swace", "Suzuki Swift", "Suzuki SX4",
    "Suzuki Vitara", "Suzuki Wagon R+", "Tesla Model 3", "Tesla Model S",
    "Tesla Model X", "Tesla Model Y", "Tesla Roadster", "Toyota Auris",
    "Toyota Avensis", "Toyota Aygo", "Toyota Camry", "Toyota Carina",
    "Toyota Celica", "Toyota C-HR", "Toyota Corolla", "Toyota Funcruiser",
    "Toyota GR86", "Toyota GT86", "Toyota Highlander", "Toyota Hilux",
    "Toyota iQ", "Toyota Land Cruiser", "Toyota Mirai", "Toyota MR2",
    "Toyota Previa", "Toyota Prius", "Toyota Proace City", "Toyota RAV4",
    "Toyota Starlet", "Toyota Supra", "Toyota Urban Cruiser", "Toyota Verso",
    "Toyota Verso-S", "Toyota Yaris", "Toyota Yaris Cross",
    "Toyota Yaris Verso", "Volkswagen Amarok", "Volkswagen Arteon",
    "Volkswagen Beetle", "Volkswagen Bora", "Volkswagen Caddy",
    "Volkswagen CC", "Volkswagen Corrado", "Volkswagen Crafter",
    "Volkswagen Eos", "Volkswagen Fox", "Volkswagen Golf",
    "Volkswagen Golf Sportsvan", "Volkswagen ID3", "Volkswagen ID4",
    "Volkswagen ID5", "Volkswagen ID6", "Volkswagen Jetta", "Volkswagen Lupo",
    "Volkswagen Multivan", "Volkswagen Passat", "Volkswagen Phaeton",
    "Volkswagen Polo", "Volkswagen Scirocco", "Volkswagen Sharan",
    "Volkswagen Taigo", "Volkswagen T-Cross", "Volkswagen Tiguan",
    "Volkswagen Touareg", "Volkswagen Touran", "Volkswagen Transporter",
    "Volkswagen T-Roc", "Volkswagen Up", "Volkswagen Vento", "Volkswagen XL1",
    "Volvo 240", "Volvo 340", "Volvo 360", "Volvo 440", "Volvo 460",
    "Volvo 480", "Volvo 740", "Volvo 760", "Volvo 780", "Volvo 850",
    "Volvo 940", "Volvo 960", "Volvo C30", "Volvo C40", "Volvo C70",
    "Volvo S40", "Volvo S60", "Volvo S70", "Volvo S80", "Volvo S90",
    "Volvo V40", "Volvo V50", "Volvo V60", "Volvo V70", "Volvo V90",
    "Volvo XC40", "Volvo XC60", "Volvo XC70", "Volvo XC90",
];
